Bug 202417 - rebuild of kernel package aborts with error message
Summary: rebuild of kernel package aborts with error message
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 6
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jon Masters
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-14 10:18 UTC by Andreas Schlehahn
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-12 01:55:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Schlehahn 2006-08-14 10:18:19 UTC
Description of problem: Rebuilding the Kernel package from 
kernel-2.6.17-1.2558.fc6.src.rpm stops with an error message generated from 
calling 'chmod -R a+r *'. The context in the spec file is:
----------------------------------------------
%if %{builddoc}
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/kernel-doc-%{kversion}/Documentation

# sometimes non-world-readable files sneak into the kernel source tree
chmod -R a+r *
# copy the source over
tar cf - Documentation | tar xf - -C 
$RPM_BUILD_ROOT/usr/share/doc/kernel-doc-%{kversion}
%endif
----------------------------------------------

A file '-w' is created during the build process in the build-directory:
BUILD/kernel-2.6.17/linux-2.6.17.i686/-w

chmod doesn't seem to handle files with special characters very well and exits 
with the error message "a+r" file or directory not found.



Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2558.fc6

How reproducible:
just rebuild the kernel with "builddoc" set to 1


build the kernel with 'rpmbuild -ba --target=i686 kernel-2.6.spec'

enjoy the error message 

Steps to Reproduce:
1. install the kernel source rpm
2. in the kernel spec-file set the variable 'builddoc' to 1
3. build the kernel with 'rpmbuild -ba --target=i686 kernel-2.6.spec'
4. wait a couple of hours
5. enjoy the error message

Actual results: no new kernel package


Expected results: a new kernel package


Additional info:

Comment 1 Dave Jones 2006-09-17 03:31:36 UTC
The -w is created by kabitool.  Jon?

Comment 2 Jon Masters 2006-09-30 15:09:02 UTC
I don't think this one is me. Let me know if I should dig more though :-)

Comment 3 Dave Jones 2006-10-12 00:16:14 UTC
Please dig. The only instance of -w in the kernel-2.6.spec was the kabitool line.


Comment 4 Jon Masters 2006-10-12 01:55:14 UTC
It was me. It was stupid. I fixed it earlier when I fixed the kabitool breakage
- shouldn't have called with -l and -w...

I think it's all better - but shout at me loudly when I'm wrong :-)

Jon.



Note You need to log in before you can comment on or make changes to this bug.